/*
**	BooleanFormatter.h
**  		
*/

#import <appkit/appkit.h>
#import <dbkit/dbkit.h>


@interface BooleanFormatter : DBFormatter
{
    DBValue		*newValue;

	BOOL	selectionMode:3,
			delWill1:1,	/* methods delegate responds to */
			delWill2:1,
			delDid:1;
	id		font;
}


- init;
- free;

- drawFieldAt:(unsigned int) row :(unsigned int) column
	inside:(NXRect *) frame inView:view
	withAttributes:(id <DBTableVectors>) rowAttrs
		      :(id <DBTableVectors>) columnAttrs
	usePositions:(BOOL) useRowPos :(BOOL) useColumnPos;
- mouseDown:(NXEvent *)theEvent at:(int)row :(int)column
	inside:(NXRect *)frame inView:(View *)view
	withAttributes:(id <DBTableVectors>) rowAttrs
		      :(id <DBTableVectors>) columnAttrs
	usePositions:(BOOL) useRowPos :(BOOL) useColumnPos;

- setValueAt:(int)row :(int)column
    withAttributes:(id <DBTableVectors >)rowAttrs
     :(id <DBTableVectors >)columnAttrs
    usePositions:(BOOL)useRowPos :(BOOL)useColumnPos;
@end
